apiVersion: jaegertracing.io/v1
kind: Jaeger
metadata:
  name: jaegerqe
spec:
  ingress:
    security: none
  strategy: production
  collector:
    replicas: 1
    image: brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/distributed-tracing-tech-preview/jaeger-collector:1.13.1-1
    resources:
      requests:
        memory: "512Mi"
        cpu: "1"
      limits:
        memory: "512Mi"
        cpu: "1"
    options:
      log-level: info
      metrics-backend: prometheus
      collector:
        num-workers: 1
        queue-size: 20000
      es:
        bulk:
          size: 524288
          workers: 3
          flush-interval: 50ms
        tags-as-fields:
          all: false
  query:
    replicas: 1
    image: brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/distributed-tracing-tech-preview/jaeger-query:1.13.1-1
    resources:
      requests:
        cpu: "500m"
        memory: "512Mi"
      limits:
        cpu: "500m"
        memory: "512Mi"
    options:
      log-level: info
      metrics-backend: prometheus
      query:
        port: 16686
      es:
        timeout: 10s
  agent:
    strategy: sidecar
    image: brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/distributed-tracing-tech-preview/jaeger-agent:1.13.1-1
    resources:
      requests:
        cpu: "200m"
        memory: "128Mi"
      limits:
        cpu: "200m"
        memory: "128Mi"
    options:
      log-level: info
      metrics-backend: prometheus
      processor:
        jaeger-compact:
          server-queue-size: 10000
          workers: 10
  storage:
    type: elasticsearch
    esIndexCleaner:
      enabled: false
    dependencies:
      enabled: false
    elasticsearch:
      image: quay.io/openshift/origin-logging-elasticsearch5:4.1
      nodeCount: 1
      redundancyPolicy: FullRedundancy
      resources:
